<template>
    <div>
        One of friends
    </div>
    <div v-for="friend in friendsToShow" :key="friend.id">
        <div>Name {{ friend.name }}</div>
        <div>Info:
            Year: {{ friend.birthYear }}, Phone: {{ friend.phone
            }}, Mobile phone: {{ friend.mobilePhone }}
        </div>
    </div>
    <div>Actions
        <div><button @click="onDelete">Delete</button></div>
    </div>
</template>

<script>
export default {
    name: 'OneOfFriends',
    data() {
        return {
            friendsList: [
                {
                    id: 1,
                    name: "John Doe",
                    birthYear: "1990",
                    phone: "226644",
                    mobilePhone: "380509996677"
                },
                {
                    id: 2,
                    name: "Peter James",
                    birthYear: "1970",
                    phone: "664422",
                    mobilePhone: "380508883322"
                }
            ]
        }
    },
    computed: {
        userId() {
            return this.$route.params.id
        },
        friendsToShow() {
            if (this.userId)
                return this.friendsList.filter(friend => friend.id == this.userId)
            else
                return this.friendsList
        }
    },
    methods: {
        onDelete() {
            const index = this.friendsList.findIndex((friend) => friend.id == this.userId);

            if (index !== -1) {
                return this.friendsList.splice(index, 1);
            }
        }
    }
}
</script>

<style lang="scss" scoped></style>